Linux / RaspberryPI

Installation of HubKit 4.3 and Coordinator 2.6

We have created a .deb package for the installation. This makes the installation of HubKit 4.3 very easy on Linux.

Please note that if you use a Raspberry Pi, you must have a 64bit Raspberry Pi. This means it has to be a Raspberry Pi 4. We suggest 4 GB RAM or more. The Raspberry Pi 4 uses the ARM64 processor version. We currently do not support 32bit OSes such as Raspbian.

Download the server for the appropriate platform from the download site.

  • Use SSH to connect to Ubuntu 18.04/20.04 LTS. (Gravio requires Ubuntu)
  • Transfer the downloaded deb package (setup_-XXXX_amd64.deb for AMD64, setup_-XXXX_arm64.deb for ARM64) to Ubuntu.
  • Execute the following commands in your console:

Ensure your apt package manager is up to date:

sudo apt update
sudo apt upgrade

Install Update Manager, Coordinator, and HubKit:

sudo apt install -y ./setup_-XXXX_XXX64.deb

Login to Update Manager

Open a browser and access port 8080 of the IP address of your Ubuntu 18.04/20.04 LTS machine.

https://(ip address):8080/
 
You will see a holding screen while the Update Manager processes the Coordinator and HubKit. Once the Coordinator and HubKit are set up, you will see a login screen where you can log in. Please refer to here to learn how to use the Update Manager.

Was this helpful?

Yes No
You indicated this topic was not helpful to you ...
Could you please leave a comment telling us why? Thank you!
Thanks for your feedback.